--[[
Descripttion:玩家信息
version:
Author: Neo,Huang
Date: 2021-09-15 19:47:54
LastEditors: Neo,Huang
LastEditTime: 2021-09-15 19:47:55
--]]
local moduleData = require("data.module")

local MODULE_NAME = "user"

local root = {}

-- 设置注册数据
function root:user_init_register_info(uid, info)
    if uid == nil or is_empty(info) then
        return false
    end
    moduleData:hset(uid, MODULE_NAME, "uid", uid)
    moduleData:hset(uid, MODULE_NAME, "registerTime", skynet_time())
    moduleData:hset(uid, MODULE_NAME, "registerRegion", info.region or "")
    moduleData:hset(uid, MODULE_NAME, "city", info.city or "")
    moduleData:hset(uid, MODULE_NAME, "version", info.version or "")
    moduleData:hset(uid, MODULE_NAME, "registerVersion", info.version or "")
    moduleData:hset(uid, MODULE_NAME, "appVerison", info.version or "")
    moduleData:hset(uid, MODULE_NAME, "uuid", info.uuid or "")
    moduleData:hset(uid, MODULE_NAME, "udid", info.udid or "")
    moduleData:hset(uid, MODULE_NAME, "device", info.device or "")
    moduleData:hset(uid, MODULE_NAME, "sysVer", info.sysVer or "")
    moduleData:hset(uid, MODULE_NAME, "deviceId", info.deviceId or "")
    moduleData:hset(uid, MODULE_NAME, "channel", info.channel)

    moduleData:hset(uid, MODULE_NAME, "nickname", string.format("玩家%06d", uid))
    -- 非测试环境随机密码
    local password = "123456"
    if not IS_TEST then
        local r = {}
        for i = 1, 8 do
            table.insert(r, string.char(math.random(97, 122)))
        end
        password = table.concat(r)
    end
    moduleData:hset(uid, MODULE_NAME, "password", password)
    return true
end
-- 密码匹配
function root:user_is_match_password(uid, password)
    if uid == nil then
        return false
    end
    return password == moduleData:hget(uid, MODULE_NAME, "password")
end

return root
